package cn.novalon.gym.manage.sys.core.service;

import reactor.core.publisher.Mono;

public interface IWebSocketService {
    Mono<Void> sendToUser(Long userId, Object message);
    Mono<Void> broadcast(Object message);
    Mono<Void> notifyNewNotice(String noticeTitle, String noticeContent);
    Mono<Void> notifyNewMessage(Long userId, String title, String content);
}
